package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 产品初始库存表实体类
 */
@Data
@Accessors(chain = true)
@TableName("jsh_material_initial_stock")
public class MaterialInitialStock {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("产品id")
    private Long materialId;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("初始库存数量")
    private BigDecimal number;

    @ApiModelProperty("最低库存数量")
    private BigDecimal lowSafeStock;

    @ApiModelProperty("最高库存数量")
    private BigDecimal highSafeStock;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("仓位货架")
    private String position;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public Long getDepotId() {
        return depotId;
    }

    public void setDepotId(Long depotId) {
        this.depotId = depotId;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getLowSafeStock() {
        return lowSafeStock;
    }

    public void setLowSafeStock(BigDecimal lowSafeStock) {
        this.lowSafeStock = lowSafeStock;
    }

    public BigDecimal getHighSafeStock() {
        return highSafeStock;
    }

    public void setHighSafeStock(BigDecimal highSafeStock) {
        this.highSafeStock = highSafeStock;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }
}